%define shortname skulpture

Name: kde4-style-%{shortname} 
Summary: Skulpture Theme for KDE4
Version: 0.2.4
Release: %mkrel 1
Source0: http://www.kde-look.org/CONTENT/content-files/59031-%{shortname}-%{version}.tar.xz
URL: http://www.kde-look.org/content/show.php/Skulpture?content=59031
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: GPL 
BuildRequires: kdelibs4-devel
BuildRequires: kdebase4-workspace-devel
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.1

%description
Skulpture theme for KDE 4

%files 
%{_kde_libdir}/kde4/kstyle_skulpture_config.so
%{_kde_libdir}/kde4/kwin3_skulpture.so
%{_kde_libdir}/kde4/kwin_skulpture_config.so
%{_kde_appsdir}/color-schemes/
%{_kde_appsdir}/kstyle/themes/
%{_kde_appsdir}/kwin/
%{_kde_appsdir}/skulpture
%{_kde_libdir}/qt4/plugins/styles/libskulpture.so


#--------------------------------------------------------------------------------

%prep 
%setup -q -n %shortname-%version

%build 
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%cmake_kde4 
%make

%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

%clean 
rm -rf $RPM_BUILD_ROOT 




%changelog
* Fri May 06 2011 Texstar <texstar at gmail.com> 0.2.4-1pclos2011
- 0.2.4

* Mon Feb 21 2011 Texstar <texstar at gmail.com> 0.2.3-5pclos2011
- rebuild against kde 4.6.0

* Sun Aug 29 2010 Texstar <texstar at gmail.com> 0.2.3-4pclos2010
- rebuild for 4.5.1

* Thu Jan 28 2010 Texstar <texstar at gmail.com> 0.2.3-3pclos2010
- rebuild

* Sat Oct 03 2009 Texstar <texstar at gmail.com> 0.2.3-3pclos2010
- rebuild

* Tue Jul 07 2009 johnnyblack <johnnyblack at inbox.com> 0.2.3-2pclos2009
- Added patch to fix a KWin crash

